My Web道

WEB制作科 受講記録 …とその後も続くWEB制作に関する活動・学習記録です。

Koala 2.2.0にアップデートするとエラーが発生

以前ご紹介したSass編集用 GUIツール、Koala について、
f:id:sntkk3:20180120235529p:plain

ここ最近頻繁にアップデートを促すメッセージが表示されるようになったため、更新をしてみました。

しかし、

その結果、最新版 2.2.0 バージョンでエラーが続出することに。

「一体どうなっているのか?」
ということで、調べてみました。

Koala最新版(ver.2.2.0)へアップデートすると発生するコンパイル時のエンコードエラーの原因 | WEMO : http://wemo.tech/522

Koala - a gui application for LESS, Sass, Compass and CoffeeScript compilation. : http://koala-app.com/?language=ja_jp
Koala 2.2.0 にしてみたら、エラー続出


私の場合、エラーの現象としては、
(1) インストールエラー
(2) コンパイルエラー

コンパイルエラーの結果、既存のstyle.cssが真っ白に!

該当ファイルのバックアップは取ってあったため、あわててファイルを元に戻しました。
結局 Koala 自体も以前の2.0.4バージョンに戻すことで、問題は再現せず、解決した模様。

ということで、今日の教訓、

  • アップグレード実行前のバックアップは必須。
  • ソフトのアップグレードは慎重に。

でした。


以上、ご参考まで。


[ 関連記事 ]
times-diary.hatenablog.com